%define _prefix /usr

Name: apmud
Version: 1.0.0
Release: 6%{?dist}

Summary: Power management daemon for Apple PowerPC laptops
Source0: http://linuxppc.jvc.nl/apmud-%{version}.tgz
Source1: trackpad.init
Source2: trackpad.sysconfig
Patch0: pmud-0.10-ydl.patch
Patch1: apmud-1.0.0-init.patch
Patch2: pmud-0.10-fixes.patch
Patch3: apmud-1.0.0-fcntl.patch
Patch4: apmud-1.0.0-fb-ioctls.patch
License: GPL
Group: Utilities/System
BuildRoot: %{_tmppath}/pmud-%{version}-buildroot
BuildRequires: libX11-devel
Prereq: chkconfig
Obsoletes: trackpad, pmud
ExclusiveArch: ppc

%description
pmud is a daemon which periodically polls the PMU (power manager) and performs
functions such as enabling or disabling devices appropriately when the power
source changes. It can also be instructed to signal init(8) that a power-
failure has occured.  pmud works on Apple PowerBooks and iBooks.

A tool for configuring the trackpad on Apple PowerBooks and iBooks is
also included.  See /etc/sysconfig/trackpad.

Tools for enabling video mirroring for ATI Rage 128 Mobility (m3mirror)
and ATI Radeon Mobility (m6mirror) enabled PowerBooks are also included.

%prep
%setup -q -n apmud
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"
make CFLAGS="$RPM_OPT_FLAGS" -C contrib/

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/power
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8

make PREFIX=$RPM_BUILD_ROOT install
make PREFIX=$RPM_BUILD_ROOT -C contrib/ install

cd $RPM_BUILD_ROOT/usr/bin; ln -s ../../sbin/snooze apm

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/trackpad
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/trackpad

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pmud
/sbin/chkconfig --add trackpad

%preun
/sbin/chkconfig --del pmud
/sbin/chkconfig --del trackpad

%files
%defattr(-,root,root)
%doc TODO BUGS README INSTALL CHANGES THANKS
/sbin/pmud
/sbin/snooze
/sbin/wakebay
/sbin/fblevel
%{_prefix}/sbin/m3mirror
%{_prefix}/sbin/m6mirror
%{_prefix}/bin/apm
%{_prefix}/bin/Batmon
%{_prefix}/bin/trackpad
%{_prefix}/X11R6/bin/xmouse
%config %attr(0755,root,root) /etc/power/pwrctl
%config(noreplace) %attr(0755,root,root) /etc/power/pwrctl-local
/etc/init.d/pmud
/etc/init.d/trackpad
%config(noreplace) /etc/sysconfig/power
%config(noreplace) /etc/sysconfig/trackpad
%{_prefix}/share/man/man8/*

%changelog
* Mon Sep 11 2006 David Woodhouse <dwmw2@infradead.org> 1.0.0-6
- Fix ioctl definitions in m3mirror and m6mirror

* Mon Sep 11 2006 David Woodhouse <dwmw2@infradead.org> 1.0.0-5
- Rebuild

* Fri Mar 31 2006 David Woodhouse <dwmw2@infradead.org> 1.0.0-4
- BR libX11-devel

* Sun May  1 2005 David Woodhouse <dwmw2@infradead.org> 1.0.0-3
- BR xorg-x11-devel

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1.0.0-2
- rebuilt

* Sun Feb 13 2005 David Woodhouse <dwmw2@infradead.org> 1.0.0-1
- Import into Fedora extras
- update pmud init script
- fix fcntl bugs

* Wed Aug 11 2004 Owen Stampflee <ostampflee@terrasoftsolutions.com>
- do a trackpad notap on init

* Tue May  8 2004 Owen Stampflee <ostampflee@terrasoftsolutions.com>
- linux 2.6 ugly hack patch

* Fri Aug 29 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- fixes wakeup problem reported by Stefan Bruda (#49)

* Fri Mar 21 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- stupid pmud

* Wed Mar 05 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- enable trackpad

* Wed Jan 05 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated trackpad init script

* Mon Nov 25 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- fixed trackpad init script

* Sat Oct 12 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- provide m3mirror and m6mirror
- trackpad compile warning cleanups

* Wed Oct 02 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- provide trackpad init script and sysconfig
- /etc/rc.d/init.d -> /etc/init.d

* Tue Jan 15 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 0.10-1
- added trackpad in
- build-rooted
- disable beep on sleep or wake

* Sun Feb 04 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- fixed the spec a bit more (updated files list)
- remove %pre for making /dev/{adb,pmu}; we now
  handle this in the dev package as it should be.

* Sun Feb 04 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- fixed the spec (removed packager, moved man pages where they
  belong)
- patched pmud for kernel 2.4 headers

* Mon Nov 20 2000 Hollis Blanchard <hollis@terrasoftsolutions.com>
- started changelog
- allowed for gzipped man pages
- fixed /usr/sbin/apm -> /var/tmp/pmud-buildroot/...
- removed redundant version/Version and release/Release macros
- removed %{release} from "Source: pmud-%{version}.%{release}.tar.gz"; release is for RPM revs (independant of original source)
